<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dynamic add()</title>
</head>

<body>
    <script>

        function add(a, b) {
            if (b != undefined) {
                return a + b;
            } else {
                return function (c) {
                    return a + c;
                }
            }
        }

        console.log(add(5, 5)); // 10
        console.log(add(5)(5)); // 10

        // var myFun2;
        // (function () {
        //     var a1 = 11;
        //     myFun2 = () => console.log(a1);
        // })();

    </script>
</body>

</html>